#pragma once
#include "Behaviour.hpp"

class PhysicsBody;

class LevelOverOnHitByCharacter : public Behaviour {
public:
	LevelOverOnHitByCharacter(GameObject*);
private:
	std::shared_ptr<PhysicsBody> physicsBody;
	void InitialiseSelf() override;
	void Initialise() override{}
	void Update(float)override{}
	void OnCollisionEnter(GameObject&);
	void registerEvents();
	void deregisterEvents();
};